{{title='Data Entry-Overview'}}
{{icon="enterdata"}}
{{progress = 10}}
{{goals = db(db.t_goals).select().first().as_dict()}}
{{chosenUseCase = db(db.t_applicationselection).select().first().as_dict()["f_name"]}}
<!--CheckLists for the styling-->
{{ecoDatas = False}}
{{facData = False}}
{{failData = False}}
{{procData = False}}
{{prodData = False}}
<head>
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/overviewCss.css')}}">
    <link rel="stylesheet" type="text/css" href="{{=URL('static','css/nextButtonCss.css')}}">
    {{extend 'mainScreenLayout.html'}}
</head>
<body>
    <!-- Style Icons Grey, Green rgb(0,168,170) or Blue rgb(0,68,121) depending on the chosen goals and already filled in data-->
    <!-- First check if economic goals are chosen
         Second check if any goal for the necessary input is checked
         Third check if data is filled in-->
    <!-- Check for economic Goals-->
    {{if (goals['f_npv'] or goals['f_roi'] or goals['f_pb'] or goals['f_opexp']):}}
        {{ecoDatas = True}}
        {{failData = True}}
        {{procData = True}}
        {{prodData = True}}
        {{if chosenUseCase == "blisk":}}
            {{facData = True}}
        {{pass}}
    {{pass}}
    {{if (goals['f_mob'] or goals['f_sus']):}}
        {{facData = True}}
    {{pass}}
    {{if (goals['f_flex'] or goals['f_prod'] or goals['f_qual'] or goals['f_safe'] or goals['f_util'] or goals['f_sus']):}}
        {{failData = True}}
        {{procData = True}}
    {{pass}}
    {{if (goals['f_flex'] or goals['f_qual'] or ((chosenUseCase == "blisk") and (goals['f_mob'] or goals['f_safe'] or goals['f_util'] or goals['f_sus']))):}}
        {{prodData = True}}
    {{pass}}
    <!--Style Facility Data Icon-->
    {{if not(ecoDatas):}}
        {{if not facData:}}
            <style> #facilityDataLink {background: grey; pointer-events: none;}</style>
        {{else:}}
            {{if db(db.t_facilitydata).select().first() is not None:}}<style> #facilityDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #facilityDataLink {background: rgb(0,68,121);}</style> {{pass}}
        {{pass}}
    {{else:}}
        {{if not facData:}}
            {{if db(db.t_economicFacilitydata).select().first() is not None:}}<style> #facilityDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #facilityDataLink {background: rgb(0,68,121);}</style> {{pass}}
        {{else:}}
            {{if ((db(db.t_facilitydata).select().first() is not None) and (db(db.t_economicFacilitydata).select().first() is not None)):}}<style> #facilityDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #facilityDataLink {background: rgb(0,68,121);}</style> {{pass}}
        {{pass}}
    {{pass}}
    <!--Style Failure Data Icon-->
    {{if not(ecoDatas):}}
        {{if not failData:}}
            <style> #failureDataLink {background: grey; pointer-events: none;}</style>
        {{else:}}
            {{if db(db.t_technicalFailureData).select().first() is not None:}}<style> #failureDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #failureDataLink {background: rgb(0,68,121);}</style> {{pass}}
        {{pass}}
    {{else:}}
        {{if ((db(db.t_technicalFailureData).select().first() is not None) and (db(db.t_economicFailureData).select().first() is not None)):}}<style> #failureDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #failureDataLink {background: rgb(0,68,121);}</style> {{pass}}
    {{pass}}
    <!--Style Process Data Icon-->
    {{if not(ecoDatas):}}
        {{if not procData:}}
            <style> #processDataLink {background: grey; pointer-events: none;}</style>
        {{else:}}
            {{if db(db.t_technicalProcessData).select().first() is not None:}}<style> #processDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #processDataLink {background: rgb(0,68,121);}</style> {{pass}}
        {{pass}}
    {{else:}}
        {{if ((db(db.t_technicalProcessData).select().first() is not None) and (db(db.t_economicProcessData).select().first() is not None)):}}<style> #processDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #processDataLink {background: rgb(0,68,121);}</style> {{pass}}
    {{pass}}
    <!--Style Product Data Icon-->
    {{if not(ecoDatas):}}
        {{if not prodData:}}
            <style> #productionDataLink {background: grey; pointer-events: none;}</style>
        {{else:}}
            {{if db(db.t_technicalProductData).select().first() is not None:}}<style> #productionDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #productionDataLink {background: rgb(0,68,121);}</style> {{pass}}
        {{pass}}
    {{else:}}
        {{if ((db(db.t_technicalProductData).select().first() is not None) and (db(db.t_economicProductData).select().first() is not None)):}}<style> #productionDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #productionDataLink {background: rgb(0,68,121);}</style> {{pass}}
    {{pass}}
    <!--Style Investment Data Icon-->
    {{if not(ecoDatas):}}
        <style> #investDataLink {background: grey; pointer-events: none;}</style>
    {{else:}}
        {{if db(db.t_investmentdata).select().first() is not None:}}<style> #investDataLink {background: rgb(0,168,170);}</style> {{else:}}<style> #investDataLink {background: rgb(0,68,121);}</style> {{pass}}
    {{pass}}
    <div class="informationTextBoxDiv">
        <div class="informationIconDescription">
            <span class="informationBoxIcon icon-02-Explanation_Select"></span><span class="informationBoxDescription">Selection</span>
        </div>
        <div class="informationTextBox">
            <span class="informationText">Please enter the necessary evaluation data for each category. In case the icon appears grey, data entrance is not necessary based on the goals you selected in the second step.</span>
        </div>
    </div>
    <div class="subDiv">
        <div id="facilityDataInput" class="iconDiv"><a href="{{=facUrl}}" id="facilityDataLink" class="icon-1_Facility-Datasvg"></a><div id="text1" class="numberDiv"><div class="textOverview">Facility<br>Data</div></div></div>
        <div id="failureDataInput"  class="iconDiv"><a href="{{=tecFailUrl}}" id="failureDataLink" class="icon-2_Failure-Data"></a><div id="text2" class="numberDiv"><div class="textOverview">Failure<br>Data</div></div></div>
        <div id="processDataInput"  class="iconDiv"><a href="{{=tecProcUrl}}" id="processDataLink" class="icon-3_Process-Datasvg"></a><div id="text3" class="numberDiv"><div class="textOverview">Process<br>Data</div></div></div>
        <div id="productionDataInput"  class="iconDiv"><a href="{{=tecProdUrl}}" id="productionDataLink" class="icon-4_Product-Datasvg"></a><div id="text4" class="numberDiv"><div class="textOverview">Product<br>Data</div></div></div>
        <div id="investDataInput"  class="iconDiv"><a href="{{=investUrl}}" id="investDataLink" class="icon-4_Product-Datasvg"></a><div id="text5" class="numberDiv"><div class="textOverview">Investment Data (Optional)</div></div></div>
    </div>
    <div class="backDiv">
        <div id="backToMain">
            <a href="{{=mainScreenURL}}" class="button">Back</a>
        </div>
        <div id = "nextButton">
            <a class="button" href='{{=mainScreenURL}}'>Continue</a>
        </div>
    </div>
    
</body>
